import { H as HighlighterGeneric, B as BuiltinLanguages, a as BuiltinThemes, R as RequireKeys, C as CodeToHtmlOptions, b as CodeToHtmlThemesOptions, c as CodeToThemedTokensOptions, T as ThemedToken, d as CodeToTokensWithThemesOptions } from './types/langs.mjs';
export { A as Awaitable, j as BundledHighlighterOptions, m as CodeToHtmlBasicOptions, E as ElementsOptions, i as HighlighterCoreOptions, q as HtmlRendererOptions, L as LanguageInput, k as LanguageRegistration, n as LineOption, f as MaybeArray, M as MaybeGetter, e as MaybeModule, P as PlainTextLanguage, h as ResolveBundleKey, S as StringLiteralUnion, g as ThemeInput, p as ThemeRegisteration, o as ThemeRegisterationRaw, s as ThemedTokenExplanation, r as ThemedTokenScopeExplanation, w as bundledLanguages, v as bundledLanguagesAlias, u as bundledLanguagesBase, t as bundledThemes, l as loadWasm } from './types/langs.mjs';
import { GetHighlighterFactory } from './core.mjs';
export { HighlighterCore, createSingletonShorthands, createdBundledHighlighter, getHighlighterCore } from './core.mjs';
export { getWasmInlined } from './wasm.mjs';

type Highlighter = HighlighterGeneric<BuiltinLanguages, BuiltinThemes>;
declare const getHighlighter: GetHighlighterFactory<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "markdown" | "md" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "shellscript" | "bash" | "console" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "php" | "haml" | "hs" | "haskell" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "ini" | "jinja-html" | "jison" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "python" | "py" | "r" | "julia" | "kotlin" | "kusto" | "kql" | "tex" | "rust" | "rs" | "scala" | "latex" | "liquid" | "lisp" | "logo" | "make" | "makefile" | "marko" | "matlab" | "toml" | "objective-c" | "objc" | "perl" | "swift" | "mdx" | "mermaid" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "powershell" | "ps" | "ps1" | "prisma" | "prolog" | "proto" | "pug" | "jade" | "puppet" | "purescript" | "raku" | "perl6" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "vb" | "cmd" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">;
declare const codeToHtml: (code: string, options: RequireKeys<CodeToHtmlOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "markdown" | "md" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "shellscript" | "bash" | "console" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "php" | "haml" | "hs" | "haskell" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "ini" | "jinja-html" | "jison" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "python" | "py" | "r" | "julia" | "kotlin" | "kusto" | "kql" | "tex" | "rust" | "rs" | "scala" | "latex" | "liquid" | "lisp" | "logo" | "make" | "makefile" | "marko" | "matlab" | "toml" | "objective-c" | "objc" | "perl" | "swift" | "mdx" | "mermaid" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "powershell" | "ps" | "ps1" | "prisma" | "prolog" | "proto" | "pug" | "jade" | "puppet" | "purescript" | "raku" | "perl6" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "vb" | "cmd" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "theme">) => Promise<string>;
declare const codeToHtmlThemes: (code: string, options: RequireKeys<CodeToHtmlThemesOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "markdown" | "md" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "shellscript" | "bash" | "console" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "php" | "haml" | "hs" | "haskell" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "ini" | "jinja-html" | "jison" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "python" | "py" | "r" | "julia" | "kotlin" | "kusto" | "kql" | "tex" | "rust" | "rs" | "scala" | "latex" | "liquid" | "lisp" | "logo" | "make" | "makefile" | "marko" | "matlab" | "toml" | "objective-c" | "objc" | "perl" | "swift" | "mdx" | "mermaid" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "powershell" | "ps" | "ps1" | "prisma" | "prolog" | "proto" | "pug" | "jade" | "puppet" | "purescript" | "raku" | "perl6" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "vb" | "cmd" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "themes">) => Promise<string>;
declare const codeToThemedTokens: (code: string, options: RequireKeys<CodeToThemedTokensOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "markdown" | "md" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "shellscript" | "bash" | "console" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "php" | "haml" | "hs" | "haskell" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "ini" | "jinja-html" | "jison" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "python" | "py" | "r" | "julia" | "kotlin" | "kusto" | "kql" | "tex" | "rust" | "rs" | "scala" | "latex" | "liquid" | "lisp" | "logo" | "make" | "makefile" | "marko" | "matlab" | "toml" | "objective-c" | "objc" | "perl" | "swift" | "mdx" | "mermaid" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "powershell" | "ps" | "ps1" | "prisma" | "prolog" | "proto" | "pug" | "jade" | "puppet" | "purescript" | "raku" | "perl6" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "vb" | "cmd" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "theme">) => Promise<ThemedToken[][]>;
declare const codeToTokensWithThemes: (code: string, options: RequireKeys<CodeToTokensWithThemesOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "markdown" | "md" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "shellscript" | "bash" | "console" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "groovy" | "hack" | "php" | "haml" | "hs" | "haskell" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "ini" | "jinja-html" | "jison" | "json5" | "jsonc" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "python" | "py" | "r" | "julia" | "kotlin" | "kusto" | "kql" | "tex" | "rust" | "rs" | "scala" | "latex" | "liquid" | "lisp" | "logo" | "make" | "makefile" | "marko" | "matlab" | "toml" | "objective-c" | "objc" | "perl" | "swift" | "mdx" | "mermaid" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "powershell" | "ps" | "ps1" | "prisma" | "prolog" | "proto" | "pug" | "jade" | "puppet" | "purescript" | "raku" | "perl6" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "vb" | "cmd" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "xsl" | "zenscript", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "themes">) => Promise<[color: string, theme: string, tokens: ThemedToken[][]][]>;

export { BuiltinLanguages, BuiltinThemes, CodeToHtmlOptions, CodeToHtmlThemesOptions, CodeToThemedTokensOptions, CodeToTokensWithThemesOptions, GetHighlighterFactory, Highlighter, HighlighterGeneric, RequireKeys, ThemedToken, codeToHtml, codeToHtmlThemes, codeToThemedTokens, codeToTokensWithThemes, getHighlighter };
